package cn.iocoder.yudao.module.system.service.elderly;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyDailyCarePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyDailyCareRespVO;
import cn.iocoder.yudao.module.system.controller.admin.elderly.vo.ElderlyDailyCareSaveReqVO;

/**
 * 日常照顾记录 Service
 */
public interface ElderlyDailyCareService {

    Long create(ElderlyDailyCareSaveReqVO createReqVO);

    void update(ElderlyDailyCareSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyDailyCareRespVO get(Long id);

    PageResult<ElderlyDailyCareRespVO> getPage(ElderlyDailyCarePageReqVO pageReqVO);
}

